# Package org.eclipse.actf.model.dom.html

This package contains HTML Parser and related utilities.

See: Description

Interface Summary
Interface | Description
--- | ---
IErrorHandler | Node-level error handler interface.
IErrorLogListener | Implementation class of this interface is added to `IParser` instance by `addErrorLogListener`.
IHTMLParser |
IParser | Base Interface for parser implementations.
IParserError | Interface for parser error constants

Class Summary
Class | Description
--- | ---
DocumentTypeUtil |
HTMLParserFactory | Factory class for `IHTMLParser`
NodeUtil | Utility class to manipulate `Node`

Exception Summary
Exception | Description
--- | ---
ParseException | When a parser meets an unexpected and unrecoverable error, ParseException is thrown

## Package org.eclipse.actf.model.dom.html Description

This package contains HTML Parser and related utilities.